vlib work
vcom -93 "../../../common/adb3_ocp/adb3_ocp_pkg.vhd"
vcom -93 "../../../common/mptl/mptl_pkg.vhd"
vcom -93 "../../../common/adb3_target/adb3_target_types_pkg.vhd"

vlib adcommon
vcom -93 -work adcommon "../../../common/adcommon/cdc_pkg.vhd"
vcom -93 -work adcommon "../../../common/adcommon/clock_speed_pkg.vhd"

vlib work
vcom -93 "../../../common/adb3_target/admxrc6t1/adb3_target_inc_sim_ocp_6t1_pkg.vhd"
vcom -93 "../../../common/adb3_target/adb3_target_pkg.vhd"

vcom -93 "../../../common/adb3_probe/adb3_probe_pkg.vhd"
vcom -93 "../../../common/adb3_probe/adb3_ocp_transaction_probe_sim.vhd"

vcom -93 "../../../common/mptl/mptl_if_target_sim.vhd"
vcom -93 "../../../common/mptl/mptl_if_target_wrap.vhd"

vcom -93 "../../../common/adb3_ocp/adb3_ocp_simple_bus_if.vhd"
vcom -93 "../common/simple_l.vhd"

vcom -93 "../../../common/adb3_target/adb3_target_tb_pkg.vhd"
vcom -93 "../../../common/mptl/mptl_if_bridge_sim.vhd"
vcom -93 "../../../common/mptl/mptl_if_bridge_wrap.vhd"
vcom -93 "../common/test_simple.vhd"

vsim -t ps test_simple

set var_board  [examine /adb3_target_inc_pkg/BOARD_TYPE]
set var_use    [examine /adb3_target_inc_pkg/TARGET_USE]

view signals
view structure
view wave -title "Simple(${var_board},${var_use})"

add wave /*
add wave /uut/*
radix hex

run 20us
