#pragma once

#include <objmodel.h>

#ifdef _DEBUG
# define new DEBUG_NEW
#endif

class CSensorInfoWnd : public CWnd, public ISensorInfoWnd
{
	DECLARE_DYNAMIC(CSensorInfoWnd)

public:
	CSensorInfoWnd(ISysMonWnd* pParent, bool_t bVisible);
	virtual ~CSensorInfoWnd();
  // ISensorInfoWnd interface
  void deviceChanged();
  void numDeviceChanged();
  control_handle_t getNativeControl() { return *this; }
  ISysMonWnd* getParent() const { return m_pParent; }
  void update();

protected:
  ISysMonWnd* m_pParent;
  unsigned int m_numDevice;
  CFont m_font;
  CBrush m_bgBrush;
  CListCtrl m_listCtl;

protected:

  DECLARE_MESSAGE_MAP()

protected:
  afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
  afx_msg void OnGetInfoTip(NMHDR* pNotifyStruct, LRESULT* pResult);
  afx_msg void OnSize(UINT nType, int cx, int cy);
};
