quit -sim

# Execute script to generate 'today package'
exec xtclsh ../gen_today_pkg.tcl today_pkg_admxrc6tl_sim.vhd >today_pkg_admxrc6tl_sim.vhd

vlib work
vcom -93 "../../../common/adb3_ocp/adb3_ocp_pkg.vhd"
vcom -93 "../../../common/mptl/mptl_pkg.vhd"
vcom -93 "../../../common/adb3_target/adb3_target_types_pkg.vhd"

vlib adcommon
vcom -93 -work adcommon "../../../common/adcommon/rst_pkg.vhd"
vcom -93 -work adcommon "../../../common/adcommon/cdc_pkg.vhd"
vcom -93 -work adcommon "../../../common/adcommon/clock_speed_pkg.vhd"

vlib work
vcom -93 "../../../common/adb3_target/admxrc6tl/adb3_target_inc_sim_ocp_6tl_pkg.vhd"
vcom -93 "../../../common/adb3_target/adb3_target_pkg.vhd"

vcom -93 "../../../common/adb3_probe/adb3_probe_pkg.vhd"
vcom -93 "../../../common/adb3_probe/adb3_ocp_transaction_probe_sim.vhd"

vcom -93 "../../../common/dpmem/dpmem_pkg.vhd"
vcom -93 "../../../common/dpmem/distmem0.vhd"
vcom -93 "../../../common/dpmem/distmem.vhd"
vcom -93 "../../../common/dpmem/dpbram0.vhd"
vcom -93 "../../../common/dpmem/dpbram.vhd"
vcom -93 "../../../common/fifo/fifo_pkg.vhd"
vcom -93 "../../../common/fifo/afifo.vhd"
vcom -93 "../../../common/fifo/sfifo.vhd"

#vcom -93 "../../../common/chipscope/chipscope_icon.vhd"
#vcom -93 "../../../common/chipscope/chipscope_ila.vhd"
vcom -93 "../../../common/chipscope/blk_chipscope.vhd"

vcom -93 "../../../common/mptl/mptl_if_target_sim.vhd"
vcom -93 "../../../common/mptl/mptl_if_target_wrap.vhd"

vcom -93 "../../../common/adb3_ocp/adb3_ocp_simple_bus_if.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_reg_split.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_mux.vhd"
vcom -93 "../../../common/adb3_ocp/adb3_ocp_cross_clk_dom.vhd"

vcom -93 "../common/uber_pkg.vhd"
vcom -93 "../common/blk_clocks.vhd"
vcom -93 "../common/blk_ds_clk_read.vhd"
vcom -93 "../common/blk_ds_int_test.vhd"
vcom -93 "../common/blk_ds_io_test.vhd"
vcom -93 "../common/blk_ds_simple_test.vhd"
vcom -93 "../admxrc6tl/today_pkg_admxrc6tl_sim.vhd"
vcom -93 "../common/blk_ds_info.vhd"
vcom -93 "../common/blk_direct_slave.vhd"
vcom -93 "../common/bram_single_wrap.vhd"
vcom -93 "../common/blk_dma.vhd"
vcom -93 "../common/uber.vhd"

vcom -93 "../../../common/adb3_target/adb3_target_tb_pkg.vhd"
vcom -93 "../common/uber_tb_pkg.vhd"
vcom -93 "../../../common/mptl/mptl_if_bridge_sim.vhd"
vcom -93 "../../../common/mptl/mptl_if_bridge_wrap.vhd"
vcom -93 "../common/test_uber_ds.vhd"
vcom -93 "../common/test_uber_dm.vhd"
vcom -93 "../common/test_uber_dma.vhd"
vcom -93 "../common/test_uber_probes.vhd"
vcom -93 "../common/test_uber.vhd"

vsim -t ps test_uber

set var_board  [examine /adb3_target_inc_pkg/BOARD_TYPE]
set var_use    [examine /adb3_target_inc_pkg/TARGET_USE]

view signals
view structure
view wave -title "Uber(${var_board},${var_use})"

add wave /*
add wave /uut/*
add wave /uut/blk_dma_i/*
add wave /uut/blk_dma_i/adb3_ocp_mux_i/*

radix hex

run 50us
